Subject: Re: [PATCH v3 01/17] commit: use config-based hooks

From: Emily Shaffer <[email-masked]>
Date: Wed, 10 Mar 2021 11:39:04 -0800

On Mon, Feb 01, 2021 at 03:02:03PM -0800, Junio C Hamano wrote:
> 
> Emily Shaffer <[email-masked]> writes:
> 
> > @@ -175,6 +183,8 @@ invoked after a commit is made.
> >  This hook is meant primarily for notification, and cannot affect
> >  the outcome of `git commit`.
> >  
> > +Hooks executed during 'post-commit' will run in parallel by default.
> 
> The "by default" makes it sound as if there is a way to force
> 'post-commit' alone serially, but other than hook.jobs that can be
> used to uniformly make everything run serially, I didn't find a way
> to do so.

Yeah, hook.jobs is the way to make it run serially, and as you say, it
can't be applied everywhere. I'll try to change the language.

> 
> The comment applies to all the "by default" in this latter half of
> the series.
> 
> Thanks.